/*=======================================================*/
/*  TVQLEAVE.C                                           */
/*                                                       */
/*  Last Edit: 5/5/88                                    */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"
#include "tvstream.h"

/*=======================================================*/
/* TVqry_leave   return TRUE if writing leave attributes */
/*               unaffected                              */
/*   Ralf Brown 4/8/88                                   */
/*=======================================================*/

int pascal TVqry_leave(OBJECT win)
{
   static BYTE leave_query[]  = { S_QUERY(1), QS_LEAVEATTR } ;

   TVwin_stream(win,leave_query) ;
   return (leave_query[4] == QS_LEAVEATTR) ;
}

/* End of TVQLEAVE.C */
